Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

PackageKit-yum-plugin-0.8.9-6.fc19 RPM for s390x

From Fedora 19 for s390x / p

Name: PackageKit-yum-plugin Distribution: Koji
Version: 0.8.9 Vendor: Fedora Project
Release: 6.fc19 Build date: Sun Jun 23 11:19:31 2013
Group: System Environment/Base Build host: fedora2.s390.bos.redhat.com
Size: 4022 Source RPM: PackageKit-0.8.9-6.fc19.src.rpm
Packager: Fedora Project
Url: http://www.packagekit.org
Summary: Tell PackageKit to check for updates when yum exits
PackageKit-yum-plugin tells PackageKit to check for updates when yum exits.
This way, if you run 'yum update' and install all available updates, puplet
will almost instantly update itself to reflect this.

Provides

Requires

License

GPLv2+ and LGPLv2+

Changelog

* Sat Jun 22 2013 Matthias Clasen <mclasen@redhat.com> - 0.8.9-6
  - Trim %changelog
* Thu Jun 13 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-5
  - Backport another fix from master to fix the passwordless install for users
    in wheel group only bug.
  - Resolves: #975214
* Thu Jun 13 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-4
  - Backport another fix from master to fix the offline updates feature.
  - Resolves: #968936
* Thu Jun 06 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-3
  - Backport 2 fixes from master to increase the maximum number of packages that
    can be processed, and also to fix a race in the offline updates feature.
* Tue May 21 2013 Matthias Clasen <mclasen@redhat.com> - 0.8.9-2
  - Make building without bash-completion work
* Mon May 20 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-1
  - New upstream release
  - Add 'pkcon backend-details' to be get details of the selected backend
  - Do not rely on Python2 to write UTF-8 strings
  - Update the comps->group mapping for Fedora 19
  - When converting to unicode special case YumBaseError
* Thu May 09 2013 Richard Hughes <rhughes@redhat.com> - 0.8.8-2
  - Backport a patch from master to fix package selection in gnome-packagekit
  - Resolves: #960081
* Wed May 08 2013 Richard Hughes <rhughes@redhat.com> - 0.8.8-1
  - New upstream release
  - PackageKit now allow local active users to install signed software without
    prompting for authentication. If you need to change this you will need to
    either install a PolicyKit override or just patch the policy file.
  - Added Provides property to retrieve which Provides the backend supports
  - Allow clients to call org.freedesktop.DBus.Peer
  - browser-plugin: Do not crash when running an installed package that is upgradable
  - Do not install the bash-completion code in /etc
  - Do not use _UTF8Writer when using python3
  - Don't abort the daemon if the client requests a property that does not exist
  - Don't use the default main context in sync PkClient methods
  - Expose the transaction flags on the .Transaction object
  - Pause for 10 seconds if an error occurred before restarting systemd-updates
  - Remove the prepared-updates file if any relevant state was changed
  - Support getting the distro-id from /etc/os-release
  - Use PIE to better secure installed tools and also use full RELRO in the daemon
  - Use the correct session method to fix font installation in pk-gtk-module
  - Write a pre-failure status file in case the update transaction crashes
  - yum: Ensure conf.cache is set before repo.cache is created
  - yum: Ignore errors when removing packages to work out the requires list
  - zif: Do not issue a critical warning when doing WhatProvides
  - zif: Use the same speedup used in libzif upstream
* Thu Apr 04 2013 Kalev Lember <kalevlember@gmail.com> - 0.8.7-4
  - Drop the dep on preupgrade
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-3
  - Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
* Thu Jan 17 2013 Tomas Bzatek <tbzatek@redhat.com> - 0.8.7-2
  - Rebuilt for new libarchive
* Wed Jan 16 2013 Richard Hughes  <rhughes@redhat.com> - 0.8.7-1
  - New upstream release
  - Do not ask for authentication when the transaction is being simulated
  - If a simulated only-trusted transaction returns with need-untrusted
    then re-simulate with only-trusted=FALSE
  - systemd-updates: Don't show 'Update process 99% complete'
  - The GStreamer provide name is gstreamer1() not gstreamer1.0()
  - Use /dev/tty or /dev/console where available
* Mon Nov 26 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.6-1
  - New upstream release
  - Don't search in command-not-found if backend is known to be too slow
  - Correctly match the installed file to a package when checking shared libraries
  - Do not send the UpdatesChanged signal for only-download or simulate
  - Don't throw a cryptic warning when 'pkcon update' has no packages needing an update
  - Emit RequireRestart(system) in a PackageKit daemon plugin
  - Move the libpackagekit-qt code to a separate project
  - Perform the simulation of spawned transactions correctly
  - Reinstate 'pkcon list-create' for the service pack functionality
  - Show a progressbar if the user presses [esc] during the system update
  - yum: Don't crash when resolving groups
  - yum: Don't rely on a blacklist for RequireRestart
  - yum: Handle NoMoreMirrorsRepoError when using repo.getPackage()
  - yum: Only emit the package list once when using WhatProvides() with multiple search terms
  - yum: Use a the error NoPackagesToUpdate when there are no updates available
  - zif: Don't try to cancel the backend if it's not running
* Wed Oct 31 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.5-3
  - -yum-plugin: make PK dep versioned
* Mon Oct 29 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.5-1
  - New upstream release
  - Remove upstreamed patches
  - zif: Fix a critical warning when enabling a repository
* Mon Oct 08 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.4-4
  - -yum: Requires: yum >= 3.4.3-45
* Thu Oct 04 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.4-3
  - Backport some more patches from upstream:
  - Never show the DBUS remote error to the user
  - Fix the pango_language_matches() parameter list regression
  - Don't crash when writing the offline-updates results file
  - Only save interesting packages to offline-update-competed
  - Resolves: #862161, #857908
* Tue Oct 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.8.4-2
  - yum: Requires: yum >= 3.4.3-35
  - PackageKit.conf: StateChangedTimeoutPriority=2 
  - backport -qt api/abi change
* Mon Oct 01 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.4-1
  - New upstream release
  - Suggest a Linux binary if the Solaris name is used
  - Use pkttyagent to request user passwords if required
  - Ask PackageKit to quit when yum is started
* Tue Sep 18 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-4
  - Ensure we cancel background transactions when an interactive
    transaction is scheduled.
* Fri Sep 07 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-3
  - Rework the manaully added requires so that PackageKit-glib doesn't
    pull in so many deps.
* Fri Sep 07 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-2
  - Work around a yum API break so that resolving still works
  - In e42ea3dc0b02ba73a11211de4062e87abfb77a6a yum changed the public API
    so that str(repo) returned 'fedora/18/i386' rather than just 'fedora'.
* Mon Aug 06 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-1
  - New upstream release
  - This is the first release that allows transactions to run in parallel
  - The zif backend can run in parallel by default, the yum backend still
    runs each transaction one at a time
  - Save the transaction flags when removing packages
  - Fix a python backtrace when removing a package
  - Add GStreamer 1.0 support to the PackageKit plugin
  - Add WritePreparedUpdates config item for admins
* Tue Jul 24 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.2-3
  - Fix several reported problems with the offline-update funtionality.
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
  - Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
* Mon Jul 16 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.2-1
  - New upstream release
  - Bumped sonames for libpackagekit-glib and libpackagekit-qt
  - Lots of fixes to systemd-updates offline update functionality
  - Remove the Transaction.UpdateSystem() method
  - Don't show a warning if /var/run/PackageKit/udev does not exist
  - Never run any plugins for simulated actions
* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.8.1-8
  - fix UL vs ULL type mismatch in qt bindings (#839712)
  - tighten subpkg deps with %_isa
* Mon Jul 09 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-7
  - Fix several reported problems with the offline-update funtionality.
* Mon Jul 09 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-6
  - Fix several reported problems with the offline-update funtionality.
* Thu Jul 05 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-5
  - Correctly write the /var/lib/PackageKit/prepared-update file.
* Mon Jul 02 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-4
  - Fix several reported problems with the offline-update funtionality.
* Fri Jun 29 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-3
  - Fix several reported problems with the offline-update funtionality.
* Thu Jun 28 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-2
  - Apply a combined patch from master to fix several reported issues
    with the OS update feature.
* Mon Jun 25 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-1
  - New upstream release

Files

/etc/yum/pluginconf.d/refresh-packagekit.conf
/usr/lib/yum-plugins/refresh-packagekit.py
/usr/lib/yum-plugins/refresh-packagekit.pyc
/usr/lib/yum-plugins/refresh-packagekit.pyo


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Dec 10 23:46:04 2014